Up

# NSScreen

### Authors

Scott Christley (`scottc@net-community.com`)
Gregory John Casamento (`borgheron@yahoo.com`)

Copyright: (C) 1996, 2000 Free Software Foundation, Inc.

# Software documentation for the NSScreen class

## NSScreen : NSObject

> Declared in:
>   AppKit/NSScreen.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +deepestScreen
- +mainScreen
- +resetScreens
- +screens
- -depth
- -deviceDescription
- -frame
- -screenNumber
- -supportedWindowDepths
- -visibleFrame

### deepestScreen

+ (NSScreen*) deepestScreen;

Description forthcoming.

### mainScreen

+ (NSScreen*) mainScreen;

Description forthcoming.

### resetScreens

+ (void) resetScreens;

Description forthcoming.

### screens

+ (NSArray*) screens;

Description forthcoming.

### depth

- (NSWindowDepth) depth;

Description forthcoming.

### deviceDescription

- (NSDictionary*) deviceDescription;

Description forthcoming.

### frame

- (NSRect) frame;

Description forthcoming.

### screenNumber

- (int) screenNumber;

Returns the screen number

### supportedWindowDepths

- (const NSWindowDepth*) supportedWindowDepths;

Description forthcoming.

### visibleFrame

- (NSRect) visibleFrame;

Description forthcoming.

Up